Skip to content

Merge current user portal preferences

PATCH
/me/preferences
curl --request PATCH \
--url https://example.com/api/me/preferences \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "preferences": { "visual_theme": "example", "sidebar_open": true, "kanban": { "project": "example", "role": "example", "status": "example", "stage": "example", "open_work": "example", "ship": "example", "sort": "newest" }, "notifications": { "additionalProperty": true } } }'
Media type application/json
object
preferences
required

Partial preferences; merged with existing server state

object
visual_theme
string
sidebar_open
boolean
kanban
object
project
string
role
string
status
string
stage
string
open_work
string
ship
string
sort
string
Allowed values: newest oldest recently_updated title_az
notifications
object
key
additional properties
boolean

Updated preferences

Media type application/json
object
preferences
required
object
key
additional properties
any
updated_at
string format: date-time

Invalid request

Media type application/json
object
error
required

Human-readable error message

string
code

Stable machine-readable error code for client branching

string
fieldErrors

First validation message per field path

object
key
additional properties
string
issues

Structured validation issues (Zod)

Array<object>
object
path
required
string
message
required
string
retryAfter

Seconds until rate limit resets (429 responses)

number

Not authenticated

Media type application/json
object
error
required

Human-readable error message

string
code

Stable machine-readable error code for client branching

string
fieldErrors

First validation message per field path

object
key
additional properties
string
issues

Structured validation issues (Zod)

Array<object>
object
path
required
string
message
required
string
retryAfter

Seconds until rate limit resets (429 responses)

number
reconnect

True if re-linking GitHub may fix the issue

boolean